Get Interview Detail
curl --request GET \
--url https://api.ontora.com/v1/interviews/{interview_id}/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/interviews/{interview_id}/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/interviews/{interview_id}/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"interview": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"agent_behavior": "<string>",
"status": "<string>",
"channel": "<string>",
"completion_threshold": 123,
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"interview_order": "<string>",
"interview_duration_minutes": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_shared": false,
"shared_from_workspace_name": "<string>",
"share_scope": "restricted",
"share_link_enabled": false,
"join_link_delivery": false,
"timezone": "<string>",
"start_immediately": true,
"scheduling_mode": "availability",
"quick_mode_hours": 123,
"weekly_availability": {},
"project_context": "<string>",
"success_criteria": "<string>",
"interview_context_for_employee": "<string>",
"invitation_email_message": "<string>",
"teams_invitation_message": "<string>",
"agent_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_profile_snapshot": {},
"draft_guide": [
"<unknown>"
],
"interview_type": "<string>",
"default_language": "<string>",
"voice_id": "<string>",
"voice_provider": "<string>",
"voice_language": "<string>",
"voice_speed": 1,
"participant_voice_selection_enabled": false,
"participant_mode_selection_enabled": false,
"participant_language_selection_enabled": false,
"participant_anonymity_selection_enabled": false,
"participant_review_enabled": false,
"result_summary_enabled": false,
"result_summary_recipient_count": 0,
"welcome_screen": "<string>",
"closing_message": "<string>",
"folder": "<string>",
"recurring_interval": "<string>",
"followup_enabled": false,
"followup_strategy": "<string>",
"followup_intervals_hours": [
123
],
"followup_deadline_days": [
123
],
"followup_message": "<string>",
"report_floor_count": 123,
"incremental_update_every_n": 123,
"use_agentic_synthesis": false,
"is_anonymous": false,
"anonymity_level": "none",
"contact_count": 0,
"completed_count": 0,
"scheduled_count": 0,
"created_by_email": "<string>",
"created_by_name": "<string>"
},
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"job_title": "<string>",
"department": "<string>",
"seniority_level": 123,
"is_required": true,
"meeting_url": "<string>",
"status": "<string>",
"scheduled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slack_user_id": "<string>",
"slack_team_id": "<string>",
"slack_dm_channel_id": "<string>",
"booking_token": "<string>",
"reminder_count": 0,
"last_reminder_at": "2023-11-07T05:31:56Z",
"reinvited_from_contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"booking_token_expires_at": "2023-11-07T05:31:56Z",
"invitation_status": "none",
"scheduled_session_status": "<string>",
"scheduled_session_available_at": "2023-11-07T05:31:56Z",
"scheduled_session_started_at": "2023-11-07T05:31:56Z",
"scheduled_session_expires_at": "2023-11-07T05:31:56Z",
"delivery_failure_reason": "<string>",
"delivery_failure_at": "2023-11-07T05:31:56Z",
"last_accessed_at": "2023-11-07T05:31:56Z",
"session_accessibility_message": "<string>"
}
],
"question_sets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"sort_order": 123,
"created_at": "2023-11-07T05:31:56Z",
"topic_metadata": {},
"questions": []
}
],
"has_tagged_transcript_turns": false,
"invitations_scheduled_for": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}interviews
Get Interview Detail
Get interview with contacts and question sets in a single call.
This is much more efficient than calling separate endpoints, as it reduces the number of database roundtrips and auth checks.
GET
/
v1
/
interviews
/
{interview_id}
/
detail
Get Interview Detail
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
Combined response with interview, contacts, and question sets in one call.
Was this page helpful?